Subject: ANNOUNCE: Newton Book Perl Docs
From: [email-masked] (Chris Nandor)
Date: 11 Sep 1996 22:17:43 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc

I decided to finally sit down and do this, because I was always needing
the Perl man pages ... so I made all of the Perl man pages (except for
perltoc) into Newton Books using Newt's Cape.

Available now from
   http://pudge.petersons.com/

Available soon (?) on CPAN.

#------------------------------------------------------------------------
1perlpkg.txt
Perl 5.002 Documentation Newton Books
NewtonOS 2.0 only
#------------------------------------------------------------------------
Created by:
    Chris Nandor <[email-masked]>
      http://pudge.petersons.com/
    From Tom Christiansen's HTML documentation
      http://www.perl.com/CPAN/doc/manual/html/PerlDoc-beta1g-html.tar.gz

Created from HTML with:
    Newt's Cape
      http://www.netaxs.com/~weyer/newton/newtscape.html
    Package Buddy
      http://rainbow.rmii.com/~rbruce/tactile/packageBuddy.html
#------------------------------------------------------------------------
Release Notes (12-Sep-96):
        These turned out, for the most part, at lot better than I had
    hoped, thanks to the nice HTML coding and the wondeful Newt's Cape by
    Steve Weyer.  Please send me any bugs or formatting errors.  I don't
    know how much I will support these, but I imagine I will update them
    at some point.

        All links have been removed.  I didn't feel like making this a
    fully-functioning set of books with links, just a handy way to carry
    around the Perl docs.  Module man docs are not included, and I have
    no plans to include them.
        Diagnostic and function pages are split up into several pages,
    organized alphabetically, because my Newton MP120 simply could not
    process files that big into books with Newt's Cape. perlguts is also
    split up (into two sections, main section and API).
        The split files also have slight name changes so they will be
    more descriptive and still fit in the Newton 10-char limit for icon
    view.

    HINTS:  This whole thing won't fit on a 2MB card.  Just put in the
    packages you will be using frequently or whatever.  For instance,
    the docs for C programmers and extension writing (xs*, call, embed,
    guts, etc.) are of no use to me, so I don't keep them on my Newton.
    I do, however, keep almost everything else all on one 2MB card.  I
    can fit everything except for the xs, call, embed, guts, diag, pod,
    book and perl packages on my card with about 8K to spare.
        I use a package freezer (freeze-utilities-1.0, available from
    AMUG) so the books don't take up heap space while they are not being
    used. The problem with keeping them frozen, of course, is that they
    cannot be searched while they are frozen.
#------------------------------------------------------------------------
1perlpkg.html       Readme File (html)
1perlpkg.pkg        Readme File (Newton Book)
1perlpkg.txt        Readme File (text)
pdiag-ad.pkg        Perl diagnostic messages (A-D)
pdiag-ep.pkg        Perl diagnostic messages (E-P)
pdiag-rz.pkg        Perl diagnostic messages (R-Z)
perl.pkg            Perl overview
perlbook.pkg        Perl book information
perlbot.pkg         Perl OO tricks and examples
perlcall.pkg        Perl calling conventions from C
perldata.pkg        Perl data structures
perldebug.pkg       Perl debugging
perldsc.pkg         Perl data structures intro
perlembed.pkg       Perl how to embed perl in your C or C++ app
perlform.pkg        Perl formats
perlfunc.pkg        Perl builtin functions
perlipc.pkg         Perl interprocess communication
perllol.pkg         Perl data structures: lists of lists
perlmod.pkg         Perl modules
perlobj.pkg         Perl objects
perlop.pkg          Perl operators and precedence
perlpod.pkg         Perl plain old documentation
perlre.pkg          Perl regular expressions
perlref.pkg         Perl references
perlrun.pkg         Perl execution and options
perlsec.pkg         Perl security
perlstyle.pkg       Perl style guide
perlsub.pkg         Perl subroutines
perlsyn.pkg         Perl syntax
perltie.pkg         Perl objects hidden behind simple variables
**perltoc**         Perl documentation table of contents **NOT INCLUDED**
perltrap.pkg        Perl traps for the unwary
perlvar.pkg         Perl predefined variables
perlxs.pkg          Perl XS application programming interface
perlxstut.pkg       Perl XS tutorial
pfunc-ad.pkg        Perl functions (A-D)
pfunc-ek.pkg        Perl functions (E-K)
pfunc-lr.pkg        Perl functions (L-R)
pfunc-s.pkg         Perl functions (S)
pfunc-ty.pkg        Perl functions (T-Y)
pguts-mn.pkg        Perl internal functions for those doing extensions
pguts-api.pkg       perlguts API Listing
#------------------------------------------------------------------------
Chris Nandor <[email-masked]>
12 September 1996

#================================================================
perl -e 'srand();if(rand>.5){$i=0;foreach(@ARGV){@$i=split(//);$z [$i]=0;foreach$l(@$i){$s[$i][$z[$i]]=$l;$z[$i]++;}$i++;}foreach$m (@s){foreach$g(@{$m}){print$g}print" ";$m++}}else{print(join(" ", @ARGV))}print"\n"' McClellan Clan Motto: Think On

Chris Nandor                                       [email-masked]
PGP Key 0xB76E72AD                    http://pudge.petersons.com/